Subject: Re: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Michael Albinus <[email-masked]>
Date: Fri, 20 Apr 2012 15:38:34 +0200

Thierry Volpiatto <[email-masked]> writes:

>> Hi Michael,

Hi Thierry,

>> Michael Albinus <[email-masked]> writes:
>>
>>> And, btw, people who don't like the current behaviour are free to add
>>>
>>> alias sudo *sudo $*
>> Most people use such an alias because eshell/sudo is not working with
>> commands where files are not involved 
>> e.g "eshell/sudo uname -a" or "eshell/sudo fdisk -l" etc...
>>
>> ==> ssh: connect to host localhost port 22: Connection refused
>>
>> Using default-directory instead of
>> /sudo:user@localhost:<default-directory> (which use ssh port 22!!!!)
>> fix it
>>
>> (let ((default-directory (if (string= host "localhost")
>>                              default-directory
>>                              (format "/sudo:%s@%s:%s" user host dir))))
>>
>> But maybe I missed something?
> And also it is using /bin/sh which is not aware of many system
> maintenance commands mostly used as root with sudo.

Does there exist a corresponding bug report? I'm short in time, but
maybe I could have a look on it later.

Best regards, Michael.